Fake sync libxml-security-java 1.4.3-2 (main) from Debian testing (main)

Bug #511448 reported by Vikram Dhillon on 2010-01-23
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libxml-security-java (Ubuntu)
Wishlist
Thierry Carrez

Bug Description

Binary package hint: libxml-security-java

Changelogs:

Latest Debian Changelog:
libxml-security-java (1.4.3-2) unstable; urgency=low

   [ Thierry Carrez ]
   * debian/build.xml: Build Java2 code to match runtime dependency
   * debian/build.xml: Fix the jar packaging to include resources
     (Closes: #557306)

   [ Niels Thykier ]
   * Removed ${shlibs:Depends} from Depends; does not make sense for java.
 -- Niels Thykier <email address hidden> Mon, 30 Nov 2009 22:20:10 +0100

Latest Ubuntu Changelog:
libxml-security-java (1.4.3-1ubuntu1) lucid; urgency=low

  * Merge from debian testing, remaining changes:
    - debian/build.xml: Build Java2 code to match runtime dependency
    - debian/build.xml: Fix the jar packaging to include resources
    - debian/control: Depend on JRE /and/ shlibs:Depends, rather than /or/

libxml-security-java (1.4.3-1) unstable; urgency=low

  * New upstream release.
  * (Build-)Depends on default-jdk.
  * Build-Depends on debhelper >= 7.
  * Moved package to section 'java'.
  * Addded myself to Uploaders.
  * Updated Standards-Version to 3.8.3.
 -- Thierry Carrez < <email address hidden>> Fri, 13 Nov 2009 14:12:03 +0100

I have checked that most of the Ubuntu changes have been incorporate in upstream Debian, so the package can be synced. I am providing a diff that has the changes to the changelog and control file. The package also builds fine in a lucid chroot:

dpkg-deb: building package `libxml-security-java' in `../libxml-security-java_1.4.3-2_all.deb'.
 dpkg-genchanges >../libxml-security-java_1.4.3-2_i386.changes
dpkg-genchanges: not including original source code in upload
dpkg-buildpackage: binary and diff upload (original source NOT included)
I: Copying back the cached apt archive contents
I: unmounting dev/pts filesystem
I: unmounting proc filesystem
I: cleaning the build env
I: removing directory /var/cache/pbuilder/build//13349 and its subdirectories

description: updated
Daniel Holbach (dholbach) wrote :

ACKed.

Changed in libxml-security-java (Ubuntu):
status: New → Triaged
James Westby (james-w) wrote :

Hi,

This needs a fakesync.

Thanks,

James

James Westby (james-w) wrote :

E: 'dpkg-source -x' failed for /home/lp_archive/syncs/libxml-security-java_1.4.3-2.dsc [return code: 2304].
[Updating] libxml-security-java (1.4.3-1ubuntu1 [Ubuntu] < 1.4.3-2 [Debian])
 * Trying to add libxml-security-java...
  - <libxml-security-java_1.4.3-2.dsc: cached>
  - <libxml-security-java_1.4.3.orig.tar.gz: already in distro - downloading from librarian>
  - <libxml-security-java_1.4.3-2.diff.gz: cached>
I: libxml-security-java [main] -> libxml-security-java_1.4.3-1ubuntu1 [main].
 * command was 'dpkg-source -sn -x /home/lp_archive/syncs/libxml-security-java_1.4.3-2.dsc'
 [dpkg-source output:] gpgv: Signature made Thu Dec 3 09:53:37 2009 GMT using RSA key ID 8C2ED8FF
 [dpkg-source output:] gpgv: Can't check signature: public key not found
 [dpkg-source output:] dpkg-source: warning: failed to verify signature on /home/lp_archive/syncs/libxml-security-java_1.4.3-2.dsc
 [dpkg-source output:] dpkg-source: error: File /home/lp_archive/syncs/libxml-security-java_1.4.3.orig.tar.gz has size 1034990 instead of expected 1034408

Benjamin Drung (bdrung) on 2010-02-02
Changed in libxml-security-java (Ubuntu):
status: Triaged → Fix Committed
Benjamin Drung (bdrung) wrote :

I wanted to do the fake sync, but the package is in main. So an ubuntu-main-sponsor member has to do it.

Changed in libxml-security-java (Ubuntu):
status: Fix Committed → Triaged
Vikram Dhillon (dhillon-v10) wrote :

Thanks for the patch Benjamin, is there anything else I could do to assist here.

Benjamin Drung (bdrung) wrote :

@Vikram: No, just wait.

Artur Rona (ari-tczew) on 2010-02-04
summary: - Please sync libxml-security-java (1.4.3-2) from Debian Testing
+ Fakesync libxml-security-java (1.4.3-2) from Debian Testing
summary: - Fakesync libxml-security-java (1.4.3-2) from Debian Testing
+ Fakesync libxml-security-java 1.4.3-2 (main) from Debian testing (main)
Artur Rona (ari-tczew) on 2010-02-04
summary: - Fakesync libxml-security-java 1.4.3-2 (main) from Debian testing (main)
+ Fake sync libxml-security-java 1.4.3-2 (main) from Debian testing (main)
Artur Rona (ari-tczew) on 2010-02-14
Changed in libxml-security-java (Ubuntu):
status: Triaged → Confirmed
Thierry Carrez (ttx) on 2010-02-16
Changed in libxml-security-java (Ubuntu):
assignee: nobody → Thierry Carrez (ttx)
importance: Undecided → Wishlist
status: Confirmed → In Progress
Thierry Carrez (ttx) wrote :

Uploaded, with just a minor change in version number to comply with under-discussion fakesync policy.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libxml-security-java - 1.4.3-2fakesync1

---------------
libxml-security-java (1.4.3-2fakesync1) lucid; urgency=low

  * Fake sync due to mismatching tarball (LP: #511448).
 -- Artur Rona <email address hidden> Sun, 14 Feb 2010 12:40:14 +0100

Changed in libxml-security-java (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers